﻿using Hotline.Application.Identity;
using Hotline.Share.Dtos.Identity;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;

namespace Hotline.Api.Controllers;

public class IdentityController : BaseController
{
    private readonly IIdentityAppService _identityAppService;

    public IdentityController(IIdentityAppService identityAppService)
    {
        _identityAppService = identityAppService;
    }

    /// <summary>
    /// 登录
    /// </summary>
    /// <param name="dto"></param>
    /// <returns></returns>
    [AllowAnonymous]
    [HttpPost("login")]
    public async Task<string> Login([FromBody] LoginDto dto)
    {
        return await _identityAppService.LoginAsync(dto, HttpContext.RequestAborted);
    }
}