﻿using Hotline.Share.Enums.FlowEngine;

namespace Hotline.Share.Dtos.FlowEngine
{
    public class StepBasicDto
    {
        public string Name { get; set; }

        /// <summary>
        /// 模板内唯一
        /// </summary>
        public string Code { get; set; }

        public EStepType StepType { get; init; }

        /// <summary>
        /// 办理者类型
        /// </summary>
        public EHandlerType HandlerType { get; set; }

        /// <summary>
        /// 只允许该角色下本部门人办理,否则该角色下所有人均可办理（办理者类型为角色时此字段有值）
        /// </summary>
        public bool? OnlySelfOrg { get; set; }

        /// <summary>
        /// 办理者分类（或是直接保存办理者）
        /// <example>
        /// 根据类型可能为：roles, orgLevels, orgTypes, orgCodes, userIds
        /// </example>
        /// </summary>
        public List<string> HandlerClassifies { get; set; } = new();

        /// <summary>
        /// 会签模式
        /// </summary>
        public ECountersignMode CountersignMode { get; set; }
    }
}
