﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Hotline.Share.Enums.Order;
using Hotline.Share.Requests;

namespace Hotline.Share.Dtos.Order
{
    public record QueryOrderDto : PagedKeywordRequest
    {

        /// <summary>
        /// 诉求内容
        /// </summary>
        public string? Content { get; set; }

        /// <summary>
        /// 受理类型
        /// </summary>
        public EAcceptType? AcceptType { get; set; }

        /// <summary>
        /// 来源渠道
        /// </summary>
        public EChannel? Channel { get; set; }

        /// <summary>
        /// 转接号码（转接来源）
        /// </summary>
        public string? TransferPhone { get; set; }

        /// <summary>
        /// 热点分类
        /// </summary>
        public string HotspotId { get; set; }
        
    }
}
