﻿using Hotline.FlowEngine.Workflows;
using Hotline.Share.Dtos.FlowEngine;
using MediatR;
using XF.Domain.Entities;

namespace Hotline.FlowEngine.Notifies;

public record WorkflowNotify(Workflow Workflow, EFlowAssignType FlowAssignType, List<string> Handlers) : INotification;

public record StartWorkflowNotify(Workflow Workflow, EFlowAssignType FlowAssignType, List<string> Handlers, BasicWorkflowDto Dto) : WorkflowNotify(Workflow, FlowAssignType, Handlers);

public record NextStepNotify(Workflow Workflow, EFlowAssignType FlowAssignType, List<string> Handlers, BasicWorkflowDto Dto, bool IsCountersignStart, bool IsCountersignEnd) : WorkflowNotify(Workflow, FlowAssignType, Handlers);

public record AcceptWorkflowNotify(Workflow Workflow) : INotification;

public record CountersignEndAssigned(Workflow Workflow) : INotification;

public record PreviousStepNotify(PreviousWorkflowDto Data) : INotification;

public record EndWorkflowNotify(Workflow Workflow) : INotification;