﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Hotline.Share.Enums.Order;
using SqlSugar;

namespace Hotline.Orders
{
    /// <summary>
    /// 市民，以电话号为标识
    /// </summary>
    public class Citizen
    {
        public string PhoneNumber { get; set; }

        /// <summary>
        /// 姓名
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 性别
        /// </summary>
        public EGender Gender { get; set; }

        /// <summary>
        /// 市民身份
        /// </summary>
        public ECitizenStatus CitizenStatus { get; set; }

        /// <summary>
        /// 证件类型
        /// </summary>
        public ELicenceType? Licence { get; set; }

        /// <summary>
        /// 证件号码
        /// </summary>
        public string? LicenceNo { get; set; }

        /// <summary>
        /// 年龄段
        /// </summary>
        public EAgeRange? AgeRange { get; set; }

        /// <summary>
        /// 联系电话
        /// </summary>
        [SugarColumn(ColumnDescription = "联系电话", IsNullable = true)]
        public string? Contact { get; set; }

        [SugarColumn(ColumnDescription = "联系电话脱敏", IsNullable = true)]
        public string? ContactMask { get; set; }
    }
}
