﻿using SqlSugar;
using XF.Domain.Repository;

namespace Hotline.Orders;

/// <summary>
/// 工单扩展信息（12315-投诉）
/// </summary>
public class OrderComplain : OrderExtensionEntity
{
    #region 投诉详情

    /// <summary>
    /// 投诉问题类别
    /// </summary>
    public string ComplainClassifyCode { get; set; }

    public string ComplainClassify { get; set; }

    /// <summary>
    /// 争议发生时间
    /// </summary>
    public DateTime OccurrenceTime { get; set; }

    /// <summary>
    /// 投诉目标，销售方式为“网购”时展示该字段且必填
    /// </summary>
    public EOrderTarget? ComplainTarget { get; set; }

    /// <summary>
    /// 经营地址，销售方式为“现场”时必填
    /// </summary>
    //todo 地址信息不够完善
    [SugarColumn(IsNullable = true)]
    public string? BussinessArea { get; set; }
    [SugarColumn(IsNullable = true)]
    public string? BussinessAddress { get; set; }

    /// <summary>
    /// 诉求类型，多选
    /// </summary>
    public EComplainType? ComplainType { get; set; }

    #endregion
}

[Flags]
public enum EComplainType
{
    //修理、重做、更换、退货、补足商品数量、退赔费用、赔偿损失、停止侵权、核定侵权责任
}

public enum EPatentType
{
    //发明专利、实用新型专利、外观设计专利
}

public enum ENationality
{
    //中国、外国、港澳台地区
}

public enum ECitizenStatus1
{
    //城镇、农村、港澳台同胞、外籍、军人、学生、其他
}

public enum EProviderType
{
    //生产企业、销售企业、服务企业、其他企业、个体工商户、自然人、群诉、其他类型
}

public enum EOrderTarget
{
    //平台、入驻商家
}

public enum ESalesMode
{
    //网购、现场、电视购物、电话购物、邮购
}