﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Linq.Expressions;
using System.Text;
using System.Threading.Tasks;
using SqlSugar;
using XF.Domain.Entities;

namespace XF.Domain.Repository
{
    public interface IRepositoryWorkflow<TEntity, TKey> : IRepositorySqlSugar<TEntity, TKey>
        where TEntity : class, IEntity<string>, new()
        where TKey : IEquatable<TKey>
    {
        ISugarQueryable<TEntity> Queryable(bool includeDeleted = false);
    }

    public interface IRepositoryWorkflow<TEntity> : IRepositoryWorkflow<TEntity, string> where TEntity : class, IEntity<string>, new()
    {
    }
}
