﻿
namespace XF.Domain.Entities
{
    public interface IDataPermission
    {
        string CreatorOrgId { get; }

        string CreatorOrgCode { get; }

        string CreatorId { get; }

        string AreaId { get; }

        void CreateDataPermission(string orgId, string orgCode, string creatorId, string? areaId);
    }

    public interface IWorkflow
    {
        string? WorkflowId { get; set; }

        /// <summary>
        /// 指派部门编码
        /// </summary>
        List<string> AssignOrgCodes { get; set; }

        /// <summary>
        /// 指派用户Id
        /// </summary>
        List<string> AssignUserIds { get; set; }

        /// <summary>
        /// 指派角色名称
        /// </summary>
        List<string> AssignRoles { get; set; }

        void Assign(EFlowAssignType type, string handler);

        void Assign(EFlowAssignType type, IEnumerable<string> handlers);
    }

    public enum EFlowAssignType
    {
        /// <summary>
        /// 指派到部门
        /// </summary>
        Org = 0,

        /// <summary>
        /// 指派到用户
        /// </summary>
        User = 1,

        /// <summary>
        /// 指派到角色
        /// </summary>
        Role = 2,
    }
}
